From 081fc6c8e64568cef8bcd9c254e72cbfb8de1a2d Mon Sep 17 00:00:00 2001
From: Chris Johns <chrisj@rtems.org>
Date: Tue, 20 Feb 2024 11:46:05 +1100
Subject: [PATCH] RTEMS: Increase FS_SETSIZE to 256 bits

---
 newlib/libc/include/sys/select.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/newlib/libc/include/sys/select.h b/newlib/libc/include/sys/select.h
index 93d0b79bf..8b5675640 100644
--- a/newlib/libc/include/sys/select.h
+++ b/newlib/libc/include/sys/select.h
@@ -30,6 +30,8 @@ typedef	__sigset_t	sigset_t;
 #ifndef FD_SETSIZE
 # ifdef __CYGWIN__
 #  define FD_SETSIZE	1024
+# elifdef __rtems__
+#  define FD_SETSIZE	256
 # else
 #  define FD_SETSIZE	64
 # endif
-- 
2.42.0

